<?php
    // NUEVO REPO
    session_start();
    require '../../vendor/autoload.php';
    use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;
    use Mike42\Escpos\CapabilityProfile;
    use Mike42\Escpos\Printer;
    
    #=================== Guardando los datos en BD ==================== #
        require ('../../functions/ticket_nota.php');
        /*
        $id_nota = $_SESSION['cveNota'];
        $zona_atencion = $_POST['zona_atencion'];
        $no_mesa = $_POST['no_mesa'];
        $no_personas = $_POST['no_personas'];
        $hora_edt = $_POST['hora_edt'];
        $total_descuento = $_POST['ntv_descuento'];
    
    
        $subtotal=query("SELECT SUM(pdn_cantidad*pdn_precio) 'SUBTOTAL' FROM productos_nota WHERE id_nota_venta='$id_nota'");
        $resultado1=mysqli_fetch_assoc($subtotal);
    
        $subtotal = $resultado1['SUBTOTAL'];
    
        $descuento = ($subtotal*$total_descuento)/100;
        $total = $subtotal - $descuento;
    
        $res = query("call sp_edit_nota_2('$id_nota','$zona_atencion','$no_mesa','$no_personas','$hora_edt','$subtotal','$total_descuento','$total','pendiente')");
        */#========================================================= #
        #=================== Recibiendo datos ==================== #
        /*$id_nota=1;
        $nota = get_nota($id_nota);
    
        $clasificaciones = clasificaciones($id_nota);
        $campo = get_productos_nota($id_nota);
        $no_nota = $nota[0]['CLAVE'];
        $tipo_venta = $nota[2]['ZONA'];
        $mesero = $nota[1]['NOMBRE'];
        $m=$nota[3]['MESA']; // Numero de mesa
    
        $productos_filtrados = filtrar_por_clasificaciones($campo, $clasificaciones[0]);
        $comensal1 = $productos_filtrados[0]['COMENSAL'];*/
        
        date_default_timezone_set('America/Mexico_City');
        $hoy=new DateTime();
    
    #========================================================= #
    
    
    #=================== Datos de la impresora =============== #
    
    $name = "smb://xolotl-work:12345678@DESKTOP-GBG920T/BIXOLON-SRP-350plusIII";
    
    $profile = CapabilityProfile::load("simple");
    $connector = new WindowsPrintConnector($name);
    $printer = new Printer($connector, $profile);
    
    #========================================================= #
    
        $no_nota = "NTV0001";
        $tipo_venta = "Venta en piso";
        $mesero = "Roberto ";
        $m="3"; // Numero de mesa
        $comensal1 = "Sudadera verde";
    //foreach ($clasificaciones as $clasificacion) {

        // Configurar estilos de texto
        $printer->setJustification(Printer::JUSTIFY_CENTER);
     
        $printer->setEmphasis(true);
        $printer->setTextSize(2, 2);
        $printer->text("POSTRES". "\n");
        $printer->setEmphasis(false);
        $printer->setTextSize(1, 1);
    
        $printer->text("------------------------------------------");
        $printer->text(date("Y-m-d") ."  ". "NOTA:". $no_nota . "\n");
        $printer->text(date("H:i:s") . "\n");
        $printer->text("Tipo Venta:" . $tipo_venta . "  "."M:". $m . "\n");
        $printer->text("MESERO:" . $mesero . "\n");
        $printer->text("1er Comensal:" . $comensal1 . "\n");
        
        $printer->text("------------------------------------------");
        $printer->text("Cant     Descripcion  \n");
    
        /*----------  Detalles de la tabla  ----------*/
        
        //$productos_filtrados = filtrar_por_clasificaciones($campo, $clasificacion);
        //foreach ($productos_filtrados as $producto) {
    
            $tiempo = "T1";
            $comentario = "COMENTARIOS~~~~~~~~~~";
            $comensal = "Sudadera roja";
    
            $printer->text("4" . "   " . "TARTA DE MANZANA" . "\n");
            $printer->text("Comensal:" . $comensal . "\n");
            $printer->text($comentario .  "\n");
            
            $printer->setJustification(Printer::JUSTIFY_CENTER);
            $printer->text("$tiempo   \n");

            $tiempo = "T3";
            $comentario = "COMENTARIOS~~~~~~~~~~";
            $comensal = "Sudadera negra";
            
            $printer->text("4" . "   " . "PARAISO FRUTAL" . "\n");
            $printer->text("Comensal:" . $comensal . "\n");
            $printer->text($comentario .  "\n");
            
            $printer->setJustification(Printer::JUSTIFY_CENTER);
            $printer->text("$tiempo   \n");
    
   //     }
    
        /*----------  Fin Detalles de la tabla  ----------*/
    
        // Cortar el papel
        $printer->cut();
    
        // Enviar un pulso de apertura del cajón de efectivo
        $printer->pulse();
    
        // Esperar un segundo para que la impresora procese la orden
        sleep(1);
    
    //}
    #--------------------------------#
        
    //foreach ($clasificaciones as $clasificacion) {

        // Configurar estilos de texto
        $printer->setJustification(Printer::JUSTIFY_CENTER);
     
        $printer->setEmphasis(true);
        $printer->setTextSize(2, 2);
        $printer->text("PLATO FUERTE". "\n");
        $printer->setEmphasis(false);
        $printer->setTextSize(1, 1);
    
        $printer->text("------------------------------------------");
        $printer->text(date("Y-m-d") ."  ". "NOTA:". $no_nota . "\n");
        $printer->text(date("H:i:s") . "\n");
        $printer->text("Tipo Venta:" . $tipo_venta . "  "."M:". $m . "\n");
        $printer->text("MESERO:" . $mesero . "\n");
        $printer->text("1er Comensal:" . $comensal1 . "\n");
        
        $printer->text("------------------------------------------");
        $printer->text("Cant     Descripcion  \n");
    
        /*----------  Detalles de la tabla  ----------*/
        
        //$productos_filtrados = filtrar_por_clasificaciones($campo, $clasificacion);
        //foreach ($productos_filtrados as $producto) {
    
            $tiempo = "T1";
            $comentario = "COMENTARIOS~~~~~~~~~~";
            $comensal = "Sudadera roja";
    
            $printer->text("4" . "   " . "FETTUCCINE CON MARISCOS" . "\n");
            $printer->text("Comensal:" . $comensal . "\n");
            $printer->text($comentario .  "\n");
            
            $printer->setJustification(Printer::JUSTIFY_CENTER);
            $printer->text("$tiempo   \n");

            $tiempo = "T3";
            $comentario = "COMENTARIOS~~~~~~~~~~";
            $comensal = "Sudadera negra";
            
            $printer->text("4" . "   " . "ENCHILADITAS" . "\n");
            $printer->text("Comensal:" . $comensal . "\n");
            $printer->text($comentario .  "\n");
            
            $printer->setJustification(Printer::JUSTIFY_CENTER);
            $printer->text("$tiempo   \n");
    
   //     }
    
        /*----------  Fin Detalles de la tabla  ----------*/
    
        // Cortar el papel
        $printer->cut();
    
        // Enviar un pulso de apertura del cajón de efectivo
        $printer->pulse();
    
        // Esperar un segundo para que la impresora procese la orden
        sleep(1);
    
    
    // Cerrar la impresora
    $printer->close();
    ?>